<template>
    <tbody>
    <tr>
        <td> - </td>
        <td>{{user.name}}</td>
        <td>{{user.position}}</td>
        <td>{{user.date}}</td>
        <td>{{user.phone}}</td>
        <td>{{user.email}}</td>
        <td>${{user.salary}}</td>
        <td v-if="lvl >= 2">
            <button @click="deleteUser(user.id)" type="button" class="btn btn-danger">Удалить</button>
            <button @click="editUser(user.id)" type="button" class="btn btn-warning">Изменить</button>
        </td>
    </tr>
    </tbody>
</template>

<script>
    import {mapActions} from "vuex";

    export default {
        name: 'UserCard',
        props: ['user', 'lvl'],
        methods: {
            ...mapActions('adminPanel', ['deleteUser', 'editUser']),
        }
    }
</script>

<style scoped>

</style>
